Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class Modification

    java.lang.Object
      |
      +--org.openspml.message.Attribute
            |
            +--org.openspml.message.Modification

public class Modification
extends Attribute

Memory representation for a `modification` element, found within a `modifyRequest` message.

Currently this is the same as a DmslModification, though it is likely to be extended to provide a richer set of value types. DSML only allows xsd:string, xsd:base64binary and xsd:anyURI values.

Field Summary
`static java.lang.String` | `OP_ADD` Constant used with `setOperation` to indicate that the modification list is to be merged with the current value of the attribute.
`static java.lang.String` | `OP_DELETE` Constant used with `setOperation` to indicate that the values on the modification list are to be removed from the current value of the attribute.
`static java.lang.String` | `OP_REPLACE` Constant used with `setOperation` to indicate that the modification list is to replace the entire value of the attribute.

Constructor Summary
`Modification()`
`Modification(java.lang.String name, java.lang.Object value)`

Method Summary
`java.lang.String` | `getOperation()`
`void` | `setOperation(java.lang.String s)`

Methods inherited from class org.openspml.message.Attribute
`getAttribute, getAttributes, getAttributeValue, getName, getValue, setName, setValue, sort, toMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OP_REPLACE

    public static final java.lang.String OP_REPLACE

  Constant used with `setOperation` to indicate that the modification list is to replace the entire value of the attribute.

### OP_ADD

    public static final java.lang.String OP_ADD

  Constant used with `setOperation` to indicate that the modification list is to be merged with the current value of the attribute. This is relevant only for multi-valued attributes.

### OP_DELETE

    public static final java.lang.String OP_DELETE

  Constant used with `setOperation` to indicate that the values on the modification list are to be removed from the current value of the attribute. This is relevant only for multi-valued attributes.

Constructor Detail

### Modification

    public Modification()

### Modification

    public Modification(java.lang.String name,
                        java.lang.Object value)

Method Detail

### setOperation

    public void setOperation(java.lang.String s)

### getOperation

    public java.lang.String getOperation()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD